import { NgOption } from './select.service';
export declare type SelectionModelFactory = () => SelectModel;
export declare function DefaultSelectionModelFactory(): DefaultSelectionModel;
export interface SelectModel {
    value: NgOption[];
    select(item: NgOption, multiple: boolean, selectableGroupAsModel: boolean): any;
    unselect(item: NgOption, multiple: boolean): any;
    clear(keepDisabled: boolean): any;
}
export declare class DefaultSelectionModel implements SelectModel {
    private _selected;
    readonly value: NgOption[];
    select(item: NgOption, multiple: boolean, groupAsModel: boolean): void;
    unselect(item: NgOption, multiple: boolean): void;
    clear(keepDisabled: boolean): void;
    private _setChildrenSelectedState;
    private _removeChildren;
    private _removeParent;
}
