var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { SelectDropdown } from './select.dropdown';
import { SelectOption } from './select.option';
import { SelectComponent, SELECTION_MODEL_FACTORY } from './select.component';
import { NgFooterTemplateDirective, NgHeaderTemplateDirective, NgItemLabelDirective, NgLabelTemplateDirective, NgLoadingSpinnerTemplateDirective, NgLoadingTextTemplateDirective, NgMultiLabelTemplateDirective, NgNotFoundTemplateDirective, NgOptgroupTemplateDirective, NgOptionTemplateDirective, NgTagTemplateDirective, NgTypeToSearchTemplateDirective } from './select.directive';
import { DefaultSelectionModelFactory } from './select.model';
var ɵ0 = DefaultSelectionModelFactory;
var SelectModule = (function () {
    function SelectModule() {
    }
    SelectModule = __decorate([
        NgModule({
            declarations: [
                SelectDropdown,
                SelectOption,
                SelectComponent,
                NgOptgroupTemplateDirective,
                NgOptionTemplateDirective,
                NgLabelTemplateDirective,
                NgMultiLabelTemplateDirective,
                NgHeaderTemplateDirective,
                NgFooterTemplateDirective,
                NgNotFoundTemplateDirective,
                NgTypeToSearchTemplateDirective,
                NgLoadingTextTemplateDirective,
                NgTagTemplateDirective,
                NgLoadingSpinnerTemplateDirective,
                NgItemLabelDirective
            ],
            imports: [
                CommonModule
            ],
            exports: [
                SelectComponent,
                SelectOption,
                NgOptgroupTemplateDirective,
                NgOptionTemplateDirective,
                NgLabelTemplateDirective,
                NgMultiLabelTemplateDirective,
                NgHeaderTemplateDirective,
                NgFooterTemplateDirective,
                NgNotFoundTemplateDirective,
                NgTypeToSearchTemplateDirective,
                NgLoadingTextTemplateDirective,
                NgTagTemplateDirective,
                NgLoadingSpinnerTemplateDirective
            ],
            providers: [
                { provide: SELECTION_MODEL_FACTORY, useValue: ɵ0 }
            ]
        })
    ], SelectModule);
    return SelectModule;
}());
export { SelectModule };
export { ɵ0 };
